Subject: Re: linux-next: manual merge of the regmap tree with Linus' tree

From: Mark Brown <[email-masked]>
Date: Thu, 9 May 2013 11:01:49 +0100

On Thu, May 09, 2013 at 11:56:59AM +1000, Stephen Rothwell wrote:

> Today's linux-next merge of the regmap tree got a conflict in
> drivers/base/regmap/regmap-debugfs.c between commit 480738de0e07
> ("regmap: debugfs: Simplify calculation of `c->max_reg'") from Linus'
> tree and commit 5e3f5901ac6c ("regmap: debugfs: Fix start_reg
> calculation") from the regmap tree.

> I am not sure that the latter patch is ever required on top of the
> former, so for now I just used the former version (except for the last
> hunk) (see below) and can carry the fix as necessary (no action is
> required).

> Please let me know if this is the incorrect resolution.

Looks sensible.  I'll resolve everything on top of -rc1 once that's
released but I think that's the solution.